> ## Documentation Index
> Fetch the complete documentation index at: https://lingopal.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Video By Id

# Get Video By Id

Returns a single **`MediaTranslationResponse`** for media the user can access.


## OpenAPI

````yaml get /v1/videos/{video_id}/
openapi: 3.1.0
info:
  title: Lingopal VOD API
  description: API for Video on Demand processing, transcription, and translation services
  version: 0.0.1
servers:
  - url: https://api.lingopal.ai
security: []
paths:
  /v1/videos/{video_id}/:
    get:
      tags:
        - videos
      summary: Get Video By Id
      operationId: get_video_by_id_v1_videos__video_id___get
      parameters:
        - name: video_id
          in: path
          required: true
          schema:
            type: string
            title: Video Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MediaTranslationResponse'
        '404':
          content:
            application/json:
              example:
                detail: Video Not Found
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    MediaTranslationResponse:
      properties:
        metadata:
          $ref: '#/components/schemas/MediaMetadata'
        message:
          type: string
          title: Message
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        created_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created On
        languages:
          items:
            $ref: '#/components/schemas/TranslationLanguage'
          type: array
          title: Languages
      type: object
      required:
        - message
        - id
        - name
        - created_on
        - languages
      title: MediaTranslationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MediaMetadata:
      properties:
        duration:
          type: number
          title: Duration
      type: object
      required:
        - duration
      title: MediaMetadata
    TranslationLanguage:
      properties:
        status:
          $ref: '#/components/schemas/TranslationStatus'
        language:
          $ref: '#/components/schemas/app__constants__video_languages__LanguageInfo'
      type: object
      required:
        - status
        - language
      title: TranslationLanguage
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TranslationStatus:
      type: string
      enum:
        - Completed
        - Processing
      title: TranslationStatus
    app__constants__video_languages__LanguageInfo:
      properties:
        locale:
          type: string
          title: Locale
        language:
          type: string
          title: Language
      type: object
      required:
        - locale
        - language
      title: LanguageInfo
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````